FIX::NullLog Class Reference

Null implementation of Log. More...

`#include <Log.h>`

Inheritance diagram for FIX::NullLog:
[legend]
Collaboration diagram for FIX::NullLog:
[legend]

## Public Member Functions

void | clear ()
void | backup ()
void | onIncoming (const std::string &)
void | onOutgoing (const std::string &)
void | onEvent (const std::string &)
Public Member Functions inherited from FIX::Log
virtual | ~Log ()

## Detailed Description

Null implementation of Log.

This is only for internal use. Used when no log factory is passed to the initiator or acceptor.

Definition at line 117 of file Log.h.

## Member Function Documentation

## backup()

void FIX::NullLog::backup | ( |  | ) |

inline virtual

Implements FIX::Log.

Definition at line 121 of file Log.h.

: m_prefix( sessionID.toString() ),

Referenced by FIX::Log::~Log().

## clear()

void FIX::NullLog::clear | ( |  | ) |

inline virtual

Implements FIX::Log.

Definition at line 120 of file Log.h.

{}

Referenced by FIX::Log::~Log().

## onEvent()

void FIX::NullLog::onEvent | ( | const std::string & |  | ) |

inline virtual

Implements FIX::Log.

Definition at line 124 of file Log.h.

: m_prefix( sessionID.toString() ),

Referenced by FIX::Log::~Log().

## onIncoming()

void FIX::NullLog::onIncoming | ( | const std::string & |  | ) |

inline virtual

Implements FIX::Log.

Definition at line 122 of file Log.h.

: m_prefix( sessionID.toString() ),

Referenced by FIX::Log::~Log().

## onOutgoing()

void FIX::NullLog::onOutgoing | ( | const std::string & |  | ) |

inline virtual

Implements FIX::Log.

Definition at line 123 of file Log.h.

: m_prefix( sessionID.toString() ),

Referenced by FIX::Log::~Log().

The documentation for this class was generated from the following file:

- Log.h